depends = ('ITKPyBase', 'Strain', 'SplitComponents', 'ITKTransform', 'ITKRegistrationCommon', 'ITKImageIntensity', 'ITKImageCompose', 'ITKIOImageBase', 'ITKFFT', 'HigherOrderAccurateGradient', 'BSplineGradient', )
templates = (
  ('list', 'std::list', 'listIndex2', False, 'itk::Index< 2 >'),
  ('list', 'std::list', 'listIndex3', False, 'itk::Index< 3 >'),
  ('Image', 'itk::Image', 'itkImagelistitkIndex22', False, 'std::list< itk::Index< 2 > >, 2'),
  ('vector', 'std::vector', 'vectoritkImagelistitkIndex22', False, 'itk::Image< std::list< itk::Index< 2 > >, 2  > '),
  ('Image', 'itk::Image', 'itkImagelistitkIndex33', False, 'std::list< itk::Index< 3 > >, 3'),
  ('vector', 'std::vector', 'vectoritkImagelistitkIndex33', False, 'itk::Image< std::list< itk::Index< 3 > >, 3  > '),
  ('Spectra1DSupportWindowImageFilter', 'itk::Spectra1DSupportWindowImageFilter', 'itkSpectra1DSupportWindowImageFilterISS2', True, 'itk::Image< signed short,2 >'),
  ('Spectra1DSupportWindowImageFilter', 'itk::Spectra1DSupportWindowImageFilter', 'itkSpectra1DSupportWindowImageFilterISS3', True, 'itk::Image< signed short,3 >'),
  ('Spectra1DSupportWindowImageFilter', 'itk::Spectra1DSupportWindowImageFilter', 'itkSpectra1DSupportWindowImageFilterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('Spectra1DSupportWindowImageFilter', 'itk::Spectra1DSupportWindowImageFilter', 'itkSpectra1DSupportWindowImageFilterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('Spectra1DSupportWindowImageFilter', 'itk::Spectra1DSupportWindowImageFilter', 'itkSpectra1DSupportWindowImageFilterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('Spectra1DSupportWindowImageFilter', 'itk::Spectra1DSupportWindowImageFilter', 'itkSpectra1DSupportWindowImageFilterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageSS2', True, 'signed short, 2'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageUC2', True, 'unsigned char, 2'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageUS2', True, 'unsigned short, 2'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageF2', True, 'float, 2'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageCF2', True, 'std::complex< float >, 2'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageSS3', True, 'signed short, 3'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageUC3', True, 'unsigned char, 3'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageUS3', True, 'unsigned short, 3'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageF3', True, 'float, 3'),
  ('CurvilinearArraySpecialCoordinatesImage', 'itk::CurvilinearArraySpecialCoordinatesImage', 'itkCurvilinearArraySpecialCoordinatesImageCF3', True, 'std::complex< float >, 3'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCISS3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUC3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIUS3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterCASCIF3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< float, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterISS2CASCISS2', False, 'itk::Image< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterISS2CASCIUC2', False, 'itk::Image< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterISS2CASCIUS2', False, 'itk::Image< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2CASCISS2', False, 'itk::Image< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2CASCIUC2', False, 'itk::Image< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC2CASCIUS2', False, 'itk::Image< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2CASCISS2', False, 'itk::Image< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2CASCIUC2', False, 'itk::Image< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS2CASCIUS2', False, 'itk::Image< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2CASCISS2', False, 'itk::Image< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2CASCIUC2', False, 'itk::Image< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF2CASCIUS2', False, 'itk::Image< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterISS3CASCISS3', False, 'itk::Image< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterISS3CASCIUC3', False, 'itk::Image< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterISS3CASCIUS3', False, 'itk::Image< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3CASCISS3', False, 'itk::Image< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3CASCIUC3', False, 'itk::Image< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUC3CASCIUS3', False, 'itk::Image< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3CASCISS3', False, 'itk::Image< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3CASCIUC3', False, 'itk::Image< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIUS3CASCIUS3', False, 'itk::Image< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3CASCISS3', False, 'itk::Image< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3CASCIUC3', False, 'itk::Image< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('RescaleIntensityImageFilter', 'itk::RescaleIntensityImageFilter', 'itkRescaleIntensityImageFilterIF3CASCIUS3', False, 'itk::Image< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2CASCISS2', False, 'itk::Image< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2CASCIUC2', False, 'itk::Image< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS2CASCIUS2', False, 'itk::Image< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2CASCISS2', False, 'itk::Image< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2CASCIUC2', False, 'itk::Image< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC2CASCIUS2', False, 'itk::Image< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2CASCISS2', False, 'itk::Image< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2CASCIUC2', False, 'itk::Image< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS2CASCIUS2', False, 'itk::Image< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2CASCISS2', False, 'itk::Image< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2CASCIUC2', False, 'itk::Image< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF2CASCIUS2', False, 'itk::Image< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF2CASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF2CASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF2CASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF2CASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCICF2CASCICF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage<  std::complex< float >, 2 >, itk::CurvilinearArraySpecialCoordinatesImage<  std::complex< float >, 2 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3CASCISS3', False, 'itk::Image< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3CASCIUC3', False, 'itk::Image< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterISS3CASCIUS3', False, 'itk::Image< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCISS3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3CASCISS3', False, 'itk::Image< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3CASCIUC3', False, 'itk::Image< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUC3CASCIUS3', False, 'itk::Image< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUC3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3CASCISS3', False, 'itk::Image< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3CASCIUC3', False, 'itk::Image< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIUS3CASCIUS3', False, 'itk::Image< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIUS3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3CASCISS3', False, 'itk::Image< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3CASCIUC3', False, 'itk::Image< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterIF3CASCIUS3', False, 'itk::Image< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF3CASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF3CASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF3CASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCIF3CASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('ImageToImageFilter', 'itk::ImageToImageFilter', 'itkImageToImageFilterCASCICF3CASCICF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage<  std::complex< float >, 3 >, itk::CurvilinearArraySpecialCoordinatesImage<  std::complex< float >, 3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderCASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCIUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCIUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCIF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCIUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCIUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterCASCIF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF2ISS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF2IUC2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF2IUS2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF2IF2', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::Image< float, 2 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCISS3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUC3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIUS3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF3ISS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF3IUC3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF3IUS3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterCASCIF3IF3', False, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >, itk::Image< float, 3 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex22CASCISS2', True, 'itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex22CASCIUC2', True, 'itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex22CASCIUS2', True, 'itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex33CASCISS3', True, 'itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex33CASCIUC3', True, 'itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex33CASCIUS3', True, 'itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('FrequencyDomain1DFilterFunction', 'itk::FrequencyDomain1DFilterFunction', 'itkFrequencyDomain1DFilterFunction', True),
  ('FrequencyDomain1DImageFilter', 'itk::FrequencyDomain1DImageFilter', 'itkFrequencyDomain1DImageFilterICF2ICF2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('FrequencyDomain1DImageFilter', 'itk::FrequencyDomain1DImageFilter', 'itkFrequencyDomain1DImageFilterICF3ICF3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('FrequencyDomain1DImageFilter', 'itk::FrequencyDomain1DImageFilter', 'itkFrequencyDomain1DImageFilterCASCICFCASCICF', True, 'itk::CurvilinearArraySpecialCoordinatesImage<  std::complex< float >, 2>, itk::CurvilinearArraySpecialCoordinatesImage<  std::complex< float >, 2 >'),
  ('BModeImageFilter', 'itk::BModeImageFilter', 'itkBModeImageFilterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BModeImageFilter', 'itk::BModeImageFilter', 'itkBModeImageFilterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BModeImageFilter', 'itk::BModeImageFilter', 'itkBModeImageFilterCASCIF2CASCIF2CASCcomplexIF2', True, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >, itk::CurvilinearArraySpecialCoordinatesImage< std::complex< float >, 2 >'),
  ('ButterworthBandpass1DFilterFunction', 'itk::ButterworthBandpass1DFilterFunction', 'itkButterworthBandpass1DFilterFunction', True),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterISS2IlistitkIndex22VIF2', True, 'itk::Image< signed short,2 >, itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::VectorImage< float,2 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterIUC2IlistitkIndex22VIF2', True, 'itk::Image< unsigned char,2 >, itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::VectorImage< float,2 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterIUS2IlistitkIndex22VIF2', True, 'itk::Image< unsigned short,2 >, itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::VectorImage< float,2 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterIF2IlistitkIndex22VIF2', True, 'itk::Image< float,2 >, itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::VectorImage< float,2 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterISS3IlistitkIndex33VIF3', True, 'itk::Image< signed short,3 >, itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::VectorImage< float,3 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterIUC3IlistitkIndex33VIF3', True, 'itk::Image< unsigned char,3 >, itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::VectorImage< float,3 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterIUS3IlistitkIndex33VIF3', True, 'itk::Image< unsigned short,3 >, itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::VectorImage< float,3 >'),
  ('Spectra1DImageFilter', 'itk::Spectra1DImageFilter', 'itkSpectra1DImageFilterIF3IlistitkIndex33VIF3', True, 'itk::Image< float,3 >, itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::VectorImage< float,3 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex22ISS2', True, 'itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::Image< signed short,2 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex22IUC2', True, 'itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::Image< unsigned char,2 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex22IUS2', True, 'itk::Image< std::list< itk::Index< 2 > >, 2 >, itk::Image< unsigned short,2 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex33ISS3', True, 'itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::Image< signed short,3 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex33IUC3', True, 'itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::Image< unsigned char,3 >'),
  ('Spectra1DSupportWindowToMaskImageFilter', 'itk::Spectra1DSupportWindowToMaskImageFilter', 'itkSpectra1DSupportWindowToMaskImageFilterIlistitkIndex33IUS3', True, 'itk::Image< std::list< itk::Index< 3 > >, 3 >, itk::Image< unsigned short,3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCISS2', True, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterISS2', True, 'itk::Image< signed short, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCIUC2', True, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterIUC2', True, 'itk::Image< unsigned char, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCIUS2', True, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterIUS2', True, 'itk::Image< unsigned short, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCIF2', True, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterIF2', True, 'itk::Image< float, 2 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCISS3', True, 'itk::CurvilinearArraySpecialCoordinatesImage< signed short, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterISS3', True, 'itk::Image< signed short, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCIUC3', True, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned char, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterIUC3', True, 'itk::Image< unsigned char, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCIUS3', True, 'itk::CurvilinearArraySpecialCoordinatesImage< unsigned short, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterIUS3', True, 'itk::Image< unsigned short, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterCASCIF3', True, 'itk::CurvilinearArraySpecialCoordinatesImage< float, 3 >'),
  ('TimeGainCompensationImageFilter', 'itk::TimeGainCompensationImageFilter', 'itkTimeGainCompensationImageFilterIF3', True, 'itk::Image< float, 3 >'),
)
snake_case_functions = ('image_source', 'image_file_writer', 'b_mode_image_filter', 'frequency_domain1_d_image_filter', 'in_place_image_filter', 'spectra1_d_support_window_image_filter', 'image_file_reader', 'image_to_image_filter', 'rescale_intensity_image_filter', 'spectra1_d_support_window_to_mask_image_filter', 'spectra1_d_image_filter', 'resample_image_filter', 'cast_image_filter', 'time_gain_compensation_image_filter', 'unary_functor_image_filter', )
